<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>HTML Attributes & Links</title>
</head>
<body>
    <!-- HTML Attributes -->
    <h2 id="top">HTML Attributes</h2>

    <p align="center">
        <em>Modifiers of element behaviors</em>
    </p>

    <!-- HTML Images -->
    <h2>HTML Images</h2>

    <!-- image with src - absolute link -->
    <a href="https://place-puppy.com/" target="_blank"><img src="https://place-puppy.com/300x300"></a>
    

    <p align="right">
        <em>An Image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.</em>
    </p>

    <!-- Write a code in a webpage -->
    <p>
        <code>
            &lt;img src="https://place-puppy.com/300x300"&gt;
        </code>
    </p>

    <!-- image with source - relative link -->
    <a href="https://zuitt.co" target="_blank"><img src="./images/zuittlogo.png"></a>

    <p>
        <code>
            &lt;img src="./images/zuittlogo.png"&gt;
        </code>
    </p>

    <p>Valid Image Extensions are the following: </p>
    <ol type="a" reversed>
        <li>png</li>
        <li>jpg</li>
        <li>gif</li>
        <li>svg</li>
        <li>webp</li>
    </ol>

    <hr>

    <h2>HTML Links</h2>
    <h4>Absolute Link</h4>

    <!-- attribute target will open a new tab, always use it when using absolute links -->
    <a href="https://zuitt.co" target="_blank">I'm a hyperlink</a>

    <hr>

    <!-- redirects to the link.html file -->
    <h4>Relative Link</h4>
    <p>
        Go to <a href="./link.html">link.html</a> page
    </p>


    <p>
        Take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here.</a>
    </p>


    <p>
        Go to <a href="./images/index.html">images/index.html</a> page.
    </p>

    <p>Go to <a href="">Top</a></p>

</body>
</html>